
From: Stephen Smalley <sds@epoch.ncsc.mil>, James Morris <jmorris@redhat.com>

This patch corrects several format specifiers in the SELinux security server
code.



 25-akpm/security/selinux/ss/ebitmap.c  |   10 +++++-----
 25-akpm/security/selinux/ss/policydb.c |    2 +-
 2 files changed, 6 insertions(+), 6 deletions(-)

diff -puN security/selinux/ss/ebitmap.c~selinux-format-specifiers-fix security/selinux/ss/ebitmap.c
--- 25/security/selinux/ss/ebitmap.c~selinux-format-specifiers-fix	Tue Aug 26 12:28:17 2003
+++ 25-akpm/security/selinux/ss/ebitmap.c	Tue Aug 26 12:28:17 2003
@@ -250,8 +250,8 @@ int ebitmap_read(struct ebitmap *e, void
 	count = le32_to_cpu(buf[2]);
 
 	if (mapsize != MAPSIZE) {
-		printk(KERN_ERR "security: ebitmap: map size %d does not "
-		       "match my size %d (high bit was %d)\n", mapsize,
+		printk(KERN_ERR "security: ebitmap: map size %u does not "
+		       "match my size %Zd (high bit was %d)\n", mapsize,
 		       MAPSIZE, e->highbit);
 		goto out;
 	}
@@ -261,7 +261,7 @@ int ebitmap_read(struct ebitmap *e, void
 	}
 	if (e->highbit & (MAPSIZE - 1)) {
 		printk(KERN_ERR "security: ebitmap: high bit (%d) is not a "
-		       "multiple of the map size (%d)\n", e->highbit, MAPSIZE);
+		       "multiple of the map size (%Zd)\n", e->highbit, MAPSIZE);
 		goto bad;
 	}
 	l = NULL;
@@ -283,13 +283,13 @@ int ebitmap_read(struct ebitmap *e, void
 
 		if (n->startbit & (MAPSIZE - 1)) {
 			printk(KERN_ERR "security: ebitmap start bit (%d) is "
-			       "not a multiple of the map size (%d)\n",
+			       "not a multiple of the map size (%Zd)\n",
 			       n->startbit, MAPSIZE);
 			goto bad_free;
 		}
 		if (n->startbit > (e->highbit - MAPSIZE)) {
 			printk(KERN_ERR "security: ebitmap start bit (%d) is "
-			       "beyond the end of the bitmap (%d)\n",
+			       "beyond the end of the bitmap (%Zd)\n",
 			       n->startbit, (e->highbit - MAPSIZE));
 			goto bad_free;
 		}
diff -puN security/selinux/ss/policydb.c~selinux-format-specifiers-fix security/selinux/ss/policydb.c
--- 25/security/selinux/ss/policydb.c~selinux-format-specifiers-fix	Tue Aug 26 12:28:17 2003
+++ 25-akpm/security/selinux/ss/policydb.c	Tue Aug 26 12:28:17 2003
@@ -1074,7 +1074,7 @@ int policydb_read(struct policydb *p, vo
 	len = buf[1];
 	if (len != strlen(POLICYDB_STRING)) {
 		printk(KERN_ERR "security:  policydb string length %d does not "
-		       "match expected length %d\n",
+		       "match expected length %Zd\n",
 		       len, strlen(POLICYDB_STRING));
 		goto bad;
 	}

_
